<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<link rel="stylesheet" type="text/css" href="cssformulario.css">
	<title>Práctica 16</title>
	<script>
	window.addEventListener("load", function(e){

		document.querySelector("#enviar").addEventListener("click",function(e){

			let nombre = document.f1.nombre.value
	    	let apellido = document.f1.apellido.value

    		if (nombre == apellido)
    			alert('El nombre y el apellido no pueden ser iguales');

    		if (nombre.length == 0)
    			alert('El nombre no puede estar vacío');

    		if (apellido.length == 0)
    			alert('El apellido no puede estar vacío');
		});
	});

	</script>
</head>
<body>
	<main>
		<h2>DATOS PERSONALES 5(FORMULARIO)</h2>

		<form name="f1" action="" method="get" accept-charset="utf-8">
			<div id="titulo">
				<h4>Formulario</h4>
			</div>
			<div id="frase">
				<p>Escriba los datos siguientes:</p>
			</div>

			<div id="nom">
				<span>Nombre:</span><br/>
				<input type="text" name="nombre" required/>
			</div>

			<div id="ape">
				<span>Apellidos:</span><br/>
				<input type="text" name="apellidos" required/>
			</div>

			<div id="eda">
				<span>Edad:</span><br/>
				<input type="number" name="edad" min="18" max="100">
			</div>
			
			<div id="pes">
				<span>Peso:</span><br/>
				<input type="number" name="peso" min="50" max="120" required> &nbsp; Kg
			</div>

			<div id="sex">
				<span>Sexo:</span><br/>
				<input type="radio" name="sexo" value="hombre"/>Hombre
				<input type="radio" name="sexo" value="mujer" checked/>Mujer
			</div>

			<div id="est">
				<span>Estado Civil:</span><br/>
				<input type="radio" name="estado" value="soltero"/>Soltero
				<input type="radio" name="estado" value="casado"/>Casado
				<input type="radio" name="estado" value="otro" checked/>Otro
			</div>

			<div id="afi">
				<span>Aficiones:</span><br/><br/>
				<input type="checkbox" name="cine" value="cine"/>Cine
				<input type="checkbox" name="literatura" value="literatura"/>Literatura
				<input type="checkbox" name="tebeos" value="tebeos"/>Tebeos
				<input type="checkbox" name="deporte" value="deporte"/>Deporte
				<input type="checkbox" name="musica" value="musica"/>Música
				<input type="checkbox" name="television" value="television"/>Televisión
			</div>

			<div id="botones">
				<input id="enviar" type="submit" value="Enviar"/>	
				<input id="borrar" type="reset" value="Borrar"/>
			</div>

			<div id="blanco"> &nbsp; </div>
			<div id="blancoi"> &nbsp; </div>
			<div id="izq"> &nbsp; </div>
			<div id="der"> &nbsp; </div>
			<div id="bajo"> &nbsp; </div>
		</form>
	</main>
</body>
</html>